# Create appointment for self-scheduling attempt Creates an appointment for the specified self-scheduling attempt. Patient must be set on the attempt before creating an appointment. Scheduler config must belong to the self-scheduling setting. Endpoint: POST /partner/v2/account/{accountId}/self-scheduling/attempt/{attemptId}/appointment Version: 2.0 Security: PartnerOAuth ## Path parameters: - `attemptId` (integer, required) ## Request fields (application/json): - `appointmentTypeId` (integer, required) Appointment type ID Example: 10 - `locationId` (integer, required) Location ID Example: 1 - `practitionerId` (integer, required) Practitioner ID Example: 7 - `schedulerConfigId` (integer, required) Scheduler config ID (must belong to the self-scheduling setting) Example: 101 - `startDateTime` (string, required) Appointment start time in ISO 8601 format with timezone Example: "2025-01-15T10:00:00-08:00" ## Response 201 fields (application/json): - `appointmentTypeId` (integer) Appointment type ID Example: 10 - `endDateTime` (string) Appointment end time in ISO 8601 format with timezone Example: "2025-01-15T10:30:00-08:00" - `formCount` (integer) Number of forms to be completed by the patient Example: 3 - `id` (integer) Appointment ID Example: 999 - `locationId` (integer) Location ID Example: 1 - `practitionerId` (integer) Practitioner ID Example: 7 - `startDateTime` (string) Appointment start time in ISO 8601 format with timezone Example: "2025-01-15T10:00:00-08:00" - `status` (string) Appointment status (one of: SCHEDULED, CANCELLED, NO_SHOW, CHECKED_IN, IN_TREATMENT, CHECKED_OUT, CONFIRMED, RESCHEDULED, VOIDED) Example: "SCHEDULED" - `telehealth` (boolean) Whether this is a telehealth appointment ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 409 fields ## Response 500 fields